NIMBLE(1)

NAME

nimble - package manager for the Nim programming language.

SYNOPSIS

nimble command [command-options]

COMMANDS

install [-d, --depsOnly] [pkgname, ...]
    Install a list of packages (-d switch for only dependencies).

develop [pkgname, ...]
    Clone a list of packages for development. Symlinks the cloned packages or any package in the current working directory.

check
    Verify the validity of a package in the current working directory.

init [pkgname]
    Initialize a new Nimble project.

publish
    Publish a package on nim-lang/packages. The current working directory needs to be the toplevel directory of the Nimble package.

uninstall [pkgname, ...]
    Uninstall a list of packages.

build
    Build a package.

c [options, ...] file.nim
    Build a file inside a package using C backend.

cc [options, ...] file.nim
    Build a file inside a package using C++ backend.

js [options, ...] file.nim
    Build a file inside a package using Javascript backend.

test
    Compile and execute tests

doc [options, ...] file.nim
    Build documentation for a file inside a package.

doc2 [options, ...] file.nim
    Build documentation with semantic checking for a file inside a package.

refresh [url]
    Refresh the package list. A package list URL can be optionally specified.

search [--ver] pkg/tag
    Search for a specified package by tag and by name. With --ver remote server will be asked for package versions.

list [--ver]
    List all packages. With --ver remote server will be asked for package versions. With -i results will be limited to locally installed packages.

tasks
    List the tasks specified in the Nimble package's Nimble file.

path pkgname ...
    Shows absolute path to the installed packages specified.

dump [pkgname]
    Outputs Nimble package information for external tools. The argument can be a .nimble file, a project directory or the name of an installed package.

OPTIONS

-h, --help
    Print this help message.

-v, --version
    Print version information.

-y, --accept
    Accept all interactive prompts.

-n, --reject
    Reject all interactive prompts.

--ver
    Query remote server for package version information when searching or listing packages

--nimbleDir:dirname
    Set the Nimble directory.

--verbose
    Show all non-debug output.

--debug
    Show all output including debug messages.

--noColor
    Don't colorise output.

SEE ALSO

nim(1), README ⟨https://github.com/nim-lang/nimble#readme⟩